{
  "criteria": {
    "requirement": {
      "trigger": "minecraft:consume_item",
      "conditions": {
        "player": {
          "nbt": "{Tags:[\"endless_food_crate\"]}"
        },
        "item": {
          "tag": "minecraft:food"
        }
      }
    }
  },
  "rewards": {
    "function": "items:passive/endless_food_crate/player_ate"
  }
}
